import postcssrc from 'postcss-load-config';
import { SFCAsyncStyleCompileOptions, SFCStyleCompileResults } from '@vue/compiler-sfc';
export declare const urlRE: RegExp;
export declare const cssPreprocessLangRE: RegExp;
declare type Replacer = (url: string) => string | Promise<string>;
export declare function rewriteCssUrls(css: string, replacerOrBase: string | Replacer): Promise<string>;
export declare function compileCss(root: string, publicPath: string, { source, filename, scoped, modules, preprocessLang }: SFCAsyncStyleCompileOptions): Promise<SFCStyleCompileResults | string>;
declare type PostCSSConfigResult = ReturnType<typeof postcssrc> extends Promise<infer T> ? T : never;
export declare function loadPostcssConfig(root: string): Promise<PostCSSConfigResult | null>;
export {};
